%define name xtables-addons
%define version 1.47.1
%define release 6
Summary: xtables-addons is a set of additional extensions for the Xtables packet filter.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SME Server/addon
Source: %{name}-%{version}.tar.xz
URL: http://xtables-addons.sourceforge.net
Patch0: xtables-addons-1.47.1-v6.patch
Packager: Michel Begue <mab974@gmail.com>
BuildRoot: %RPM_BUILD_ROOT
#BuildRequires: e-smith-devtools
BuildRequires: iptables-devel
Requires: smeserver-release >= 9.0
Requires: xtables-addons-kmod >= 1.47.1-1
Requires: perl-Text-CSV_XS >= 0.80
AutoReqProv: no

%description
%{name}  is a set of additional extensions for the Xtables packet filter that is present in the Linux kernel.

%changelog
* Wed Feb 06 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.47.1-6.sme
- first import for SMe buildserver
- added Build requirements iptables-devel
- do not build kernel module --without-kbuild kmod package will do
- add macro to build both x86_64 and i386 

* Fri Sep 29 2017 Mab974 <mab974@gmail.com>
- extract "extensions" (kmod) from here to xtables-addons-kmod packet
- no more dependencie to kernel version

* Fri Sep 22 2017 Mab974 <mab974@gmail.com>
- initial release
- patch disable WITH_IPV6 in extra/*c

%prep

%setup
%patch0 -p1

./configure --prefix=/usr --without-kbuild

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" 
%{__rm} -rf %{buildroot}/lib/modules/

%clean
%{__rm} -rf %{buildroot}

%pre

%post

%preun

%postun

%files
%defattr(-, root, root, 0755)
/%{_lib}/xtables/libxt_*
/usr/lib/libxt_*
/usr/libexec/xtables-*
/usr/sbin/iptaccount
/usr/share/man/man1/xt_*
/usr/share/man/man8/iptaccount.*
/usr/share/man/man8/xtables-*
